org.apache.cassandra.utils.progress

## Class ProgressEventNotifierSupport

- java.lang.Object
- - org.apache.cassandra.utils.progress.ProgressEventNotifierSupport

All Implemented Interfaces:
  ProgressEventNotifier

Direct Known Subclasses:
  BootStrapper

    public abstract class ProgressEventNotifierSupport
    extends java.lang.Object
    implements ProgressEventNotifier

Provides basic, thread safe ProgressEvent notification support

### Constructor Summary

Constructors
Constructor and Description
`ProgressEventNotifierSupport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProgressListener(ProgressListener listener)` Register progress listener to this publisher.
`protected void` `fireProgressEvent(java.lang.String tag, ProgressEvent event)`
`void` `removeProgressListener(ProgressListener listener)` Remove progress listener from this publisher.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgressEventNotifierSupport

    public ProgressEventNotifierSupport()

### Method Detail

#### addProgressListener

    public void addProgressListener(ProgressListener listener)

Description copied from interface: `ProgressEventNotifier`
Register progress listener to this publisher.

Specified by:
  `addProgressListener` in interface `ProgressEventNotifier`
Parameters:
  `listener` - listener to register.

#### removeProgressListener

    public void removeProgressListener(ProgressListener listener)

Description copied from interface: `ProgressEventNotifier`
Remove progress listener from this publisher.

Specified by:
  `removeProgressListener` in interface `ProgressEventNotifier`
Parameters:
  `listener` - listener to remove

#### fireProgressEvent

    protected void fireProgressEvent(java.lang.String tag,
                                     ProgressEvent event)